#
# spec file for package tcptraceroute (Version 1.5.beta7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _prefix	/usr

Name:           tcptraceroute
Version:        1.5.beta7
Release:        64.3
License:        GPL-2.0
Summary:        Traceroute Implementation using TCP Packets
Url:            http://michael.toren.net/code/tcptraceroute/
Group:          Productivity/Networking/Routing
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  libnet-devel
BuildRequires:  libpcap-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
tcptraceroute is a traceroute implementation using TCP SYN packets,
instead of the more traditional UDP or ICMP ECHO packets. In doing so,
it is able to trace through many common firewall filters.

%prep
%setup -q

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/doc"

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc examples.txt tcptraceroute.1.html
%{_bindir}/tcptraceroute
%doc %{_mandir}/man1/tcptraceroute.1*
# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

%changelog
* Tue Nov 23 2010 coolo@novell.com
- build against libnet-devel
* Sun Apr  6 2008 crrodriguez@suse.de
- fix rpm version number
* Tue Mar 18 2008 pgajdos@suse.cz
- moved from BuildService (network:utilities, pbleser)
  [fate#302509]
